IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network234.131.52.0/22
Usable hosts1,022
Subnet mask255.255.252.0
Addresses1,024
- Network address
234.131.52.0- Broadcast address
234.131.55.255- First usable
234.131.52.1- Last usable
234.131.55.254- Usable hosts
- 1,022 (1,024 less the network and broadcast addresses)
- Subnet mask
255.255.252.0- Wildcard mask
0.0.3.255(Cisco ACLs, OSPF)- Prefix length
- /22
- Type
- Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols - Old class
- D (multicast)
- As numbers
- Hex
EA833400· Integer3934467072to3934468095 - Reverse DNS zones
52.131.234.in-addr.arpa53.131.234.in-addr.arpa54.131.234.in-addr.arpa55.131.234.in-addr.arpa
/22 is not on a 8-bit boundary, so it takes 4 /24 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 11101010.10000011.00110100.00000000 | 234.131.52.0 |
| Subnet mask | 11111111.11111111.11111100.00000000 | 255.255.252.0 |
| Network | 11101010.10000011.00110100.00000000 | 234.131.52.0 |
| Broadcast | 11101010.10000011.00110111.11111111 | 234.131.55.255 |
Split into smaller subnets
234.131.52.0/22 makes 1,024 subnets of /32; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 234.131.52.0/32 | 234.131.52.0 to 234.131.52.0 | — | 1 |
| 2 | 234.131.52.1/32 | 234.131.52.1 to 234.131.52.1 | — | 1 |
| 3 | 234.131.52.2/32 | 234.131.52.2 to 234.131.52.2 | — | 1 |
| 4 | 234.131.52.3/32 | 234.131.52.3 to 234.131.52.3 | — | 1 |
| 5 | 234.131.52.4/32 | 234.131.52.4 to 234.131.52.4 | — | 1 |
| 6 | 234.131.52.5/32 | 234.131.52.5 to 234.131.52.5 | — | 1 |
| 7 | 234.131.52.6/32 | 234.131.52.6 to 234.131.52.6 | — | 1 |
| 8 | 234.131.52.7/32 | 234.131.52.7 to 234.131.52.7 | — | 1 |
| 9 | 234.131.52.8/32 | 234.131.52.8 to 234.131.52.8 | — | 1 |
| 10 | 234.131.52.9/32 | 234.131.52.9 to 234.131.52.9 | — | 1 |
| 11 | 234.131.52.10/32 | 234.131.52.10 to 234.131.52.10 | — | 1 |
| 12 | 234.131.52.11/32 | 234.131.52.11 to 234.131.52.11 | — | 1 |
| 13 | 234.131.52.12/32 | 234.131.52.12 to 234.131.52.12 | — | 1 |
| 14 | 234.131.52.13/32 | 234.131.52.13 to 234.131.52.13 | — | 1 |
| 15 | 234.131.52.14/32 | 234.131.52.14 to 234.131.52.14 | — | 1 |
| 16 | 234.131.52.15/32 | 234.131.52.15 to 234.131.52.15 | — | 1 |
| 17 | 234.131.52.16/32 | 234.131.52.16 to 234.131.52.16 | — | 1 |
| 18 | 234.131.52.17/32 | 234.131.52.17 to 234.131.52.17 | — | 1 |
| 19 | 234.131.52.18/32 | 234.131.52.18 to 234.131.52.18 | — | 1 |
| 20 | 234.131.52.19/32 | 234.131.52.19 to 234.131.52.19 | — | 1 |
| 21 | 234.131.52.20/32 | 234.131.52.20 to 234.131.52.20 | — | 1 |
| 22 | 234.131.52.21/32 | 234.131.52.21 to 234.131.52.21 | — | 1 |
| 23 | 234.131.52.22/32 | 234.131.52.22 to 234.131.52.22 | — | 1 |
| 24 | 234.131.52.23/32 | 234.131.52.23 to 234.131.52.23 | — | 1 |
| 25 | 234.131.52.24/32 | 234.131.52.24 to 234.131.52.24 | — | 1 |
| 26 | 234.131.52.25/32 | 234.131.52.25 to 234.131.52.25 | — | 1 |
| 27 | 234.131.52.26/32 | 234.131.52.26 to 234.131.52.26 | — | 1 |
| 28 | 234.131.52.27/32 | 234.131.52.27 to 234.131.52.27 | — | 1 |
| 29 | 234.131.52.28/32 | 234.131.52.28 to 234.131.52.28 | — | 1 |
| 30 | 234.131.52.29/32 | 234.131.52.29 to 234.131.52.29 | — | 1 |
| 31 | 234.131.52.30/32 | 234.131.52.30 to 234.131.52.30 | — | 1 |
| 32 | 234.131.52.31/32 | 234.131.52.31 to 234.131.52.31 | — | 1 |
| 33 | 234.131.52.32/32 | 234.131.52.32 to 234.131.52.32 | — | 1 |
| 34 | 234.131.52.33/32 | 234.131.52.33 to 234.131.52.33 | — | 1 |
| 35 | 234.131.52.34/32 | 234.131.52.34 to 234.131.52.34 | — | 1 |
| 36 | 234.131.52.35/32 | 234.131.52.35 to 234.131.52.35 | — | 1 |
| 37 | 234.131.52.36/32 | 234.131.52.36 to 234.131.52.36 | — | 1 |
| 38 | 234.131.52.37/32 | 234.131.52.37 to 234.131.52.37 | — | 1 |
| 39 | 234.131.52.38/32 | 234.131.52.38 to 234.131.52.38 | — | 1 |
| 40 | 234.131.52.39/32 | 234.131.52.39 to 234.131.52.39 | — | 1 |
| 41 | 234.131.52.40/32 | 234.131.52.40 to 234.131.52.40 | — | 1 |
| 42 | 234.131.52.41/32 | 234.131.52.41 to 234.131.52.41 | — | 1 |
| 43 | 234.131.52.42/32 | 234.131.52.42 to 234.131.52.42 | — | 1 |
| 44 | 234.131.52.43/32 | 234.131.52.43 to 234.131.52.43 | — | 1 |
| 45 | 234.131.52.44/32 | 234.131.52.44 to 234.131.52.44 | — | 1 |
| 46 | 234.131.52.45/32 | 234.131.52.45 to 234.131.52.45 | — | 1 |
| 47 | 234.131.52.46/32 | 234.131.52.46 to 234.131.52.46 | — | 1 |
| 48 | 234.131.52.47/32 | 234.131.52.47 to 234.131.52.47 | — | 1 |
| 49 | 234.131.52.48/32 | 234.131.52.48 to 234.131.52.48 | — | 1 |
| 50 | 234.131.52.49/32 | 234.131.52.49 to 234.131.52.49 | — | 1 |
| 51 | 234.131.52.50/32 | 234.131.52.50 to 234.131.52.50 | — | 1 |
| 52 | 234.131.52.51/32 | 234.131.52.51 to 234.131.52.51 | — | 1 |
| 53 | 234.131.52.52/32 | 234.131.52.52 to 234.131.52.52 | — | 1 |
| 54 | 234.131.52.53/32 | 234.131.52.53 to 234.131.52.53 | — | 1 |
| 55 | 234.131.52.54/32 | 234.131.52.54 to 234.131.52.54 | — | 1 |
| 56 | 234.131.52.55/32 | 234.131.52.55 to 234.131.52.55 | — | 1 |
| 57 | 234.131.52.56/32 | 234.131.52.56 to 234.131.52.56 | — | 1 |
| 58 | 234.131.52.57/32 | 234.131.52.57 to 234.131.52.57 | — | 1 |
| 59 | 234.131.52.58/32 | 234.131.52.58 to 234.131.52.58 | — | 1 |
| 60 | 234.131.52.59/32 | 234.131.52.59 to 234.131.52.59 | — | 1 |
| 61 | 234.131.52.60/32 | 234.131.52.60 to 234.131.52.60 | — | 1 |
| 62 | 234.131.52.61/32 | 234.131.52.61 to 234.131.52.61 | — | 1 |
| 63 | 234.131.52.62/32 | 234.131.52.62 to 234.131.52.62 | — | 1 |
| 64 | 234.131.52.63/32 | 234.131.52.63 to 234.131.52.63 | — | 1 |
| 65 | 234.131.52.64/32 | 234.131.52.64 to 234.131.52.64 | — | 1 |
| 66 | 234.131.52.65/32 | 234.131.52.65 to 234.131.52.65 | — | 1 |
| 67 | 234.131.52.66/32 | 234.131.52.66 to 234.131.52.66 | — | 1 |
| 68 | 234.131.52.67/32 | 234.131.52.67 to 234.131.52.67 | — | 1 |
| 69 | 234.131.52.68/32 | 234.131.52.68 to 234.131.52.68 | — | 1 |
| 70 | 234.131.52.69/32 | 234.131.52.69 to 234.131.52.69 | — | 1 |
| 71 | 234.131.52.70/32 | 234.131.52.70 to 234.131.52.70 | — | 1 |
| 72 | 234.131.52.71/32 | 234.131.52.71 to 234.131.52.71 | — | 1 |
| 73 | 234.131.52.72/32 | 234.131.52.72 to 234.131.52.72 | — | 1 |
| 74 | 234.131.52.73/32 | 234.131.52.73 to 234.131.52.73 | — | 1 |
| 75 | 234.131.52.74/32 | 234.131.52.74 to 234.131.52.74 | — | 1 |
| 76 | 234.131.52.75/32 | 234.131.52.75 to 234.131.52.75 | — | 1 |
| 77 | 234.131.52.76/32 | 234.131.52.76 to 234.131.52.76 | — | 1 |
| 78 | 234.131.52.77/32 | 234.131.52.77 to 234.131.52.77 | — | 1 |
| 79 | 234.131.52.78/32 | 234.131.52.78 to 234.131.52.78 | — | 1 |
| 80 | 234.131.52.79/32 | 234.131.52.79 to 234.131.52.79 | — | 1 |
| 81 | 234.131.52.80/32 | 234.131.52.80 to 234.131.52.80 | — | 1 |
| 82 | 234.131.52.81/32 | 234.131.52.81 to 234.131.52.81 | — | 1 |
| 83 | 234.131.52.82/32 | 234.131.52.82 to 234.131.52.82 | — | 1 |
| 84 | 234.131.52.83/32 | 234.131.52.83 to 234.131.52.83 | — | 1 |
| 85 | 234.131.52.84/32 | 234.131.52.84 to 234.131.52.84 | — | 1 |
| 86 | 234.131.52.85/32 | 234.131.52.85 to 234.131.52.85 | — | 1 |
| 87 | 234.131.52.86/32 | 234.131.52.86 to 234.131.52.86 | — | 1 |
| 88 | 234.131.52.87/32 | 234.131.52.87 to 234.131.52.87 | — | 1 |
| 89 | 234.131.52.88/32 | 234.131.52.88 to 234.131.52.88 | — | 1 |
| 90 | 234.131.52.89/32 | 234.131.52.89 to 234.131.52.89 | — | 1 |
| 91 | 234.131.52.90/32 | 234.131.52.90 to 234.131.52.90 | — | 1 |
| 92 | 234.131.52.91/32 | 234.131.52.91 to 234.131.52.91 | — | 1 |
| 93 | 234.131.52.92/32 | 234.131.52.92 to 234.131.52.92 | — | 1 |
| 94 | 234.131.52.93/32 | 234.131.52.93 to 234.131.52.93 | — | 1 |
| 95 | 234.131.52.94/32 | 234.131.52.94 to 234.131.52.94 | — | 1 |
| 96 | 234.131.52.95/32 | 234.131.52.95 to 234.131.52.95 | — | 1 |
| 97 | 234.131.52.96/32 | 234.131.52.96 to 234.131.52.96 | — | 1 |
| 98 | 234.131.52.97/32 | 234.131.52.97 to 234.131.52.97 | — | 1 |
| 99 | 234.131.52.98/32 | 234.131.52.98 to 234.131.52.98 | — | 1 |
| 100 | 234.131.52.99/32 | 234.131.52.99 to 234.131.52.99 | — | 1 |
| 101 | 234.131.52.100/32 | 234.131.52.100 to 234.131.52.100 | — | 1 |
| 102 | 234.131.52.101/32 | 234.131.52.101 to 234.131.52.101 | — | 1 |
| 103 | 234.131.52.102/32 | 234.131.52.102 to 234.131.52.102 | — | 1 |
| 104 | 234.131.52.103/32 | 234.131.52.103 to 234.131.52.103 | — | 1 |
| 105 | 234.131.52.104/32 | 234.131.52.104 to 234.131.52.104 | — | 1 |
| 106 | 234.131.52.105/32 | 234.131.52.105 to 234.131.52.105 | — | 1 |
| 107 | 234.131.52.106/32 | 234.131.52.106 to 234.131.52.106 | — | 1 |
| 108 | 234.131.52.107/32 | 234.131.52.107 to 234.131.52.107 | — | 1 |
| 109 | 234.131.52.108/32 | 234.131.52.108 to 234.131.52.108 | — | 1 |
| 110 | 234.131.52.109/32 | 234.131.52.109 to 234.131.52.109 | — | 1 |
| 111 | 234.131.52.110/32 | 234.131.52.110 to 234.131.52.110 | — | 1 |
| 112 | 234.131.52.111/32 | 234.131.52.111 to 234.131.52.111 | — | 1 |
| 113 | 234.131.52.112/32 | 234.131.52.112 to 234.131.52.112 | — | 1 |
| 114 | 234.131.52.113/32 | 234.131.52.113 to 234.131.52.113 | — | 1 |
| 115 | 234.131.52.114/32 | 234.131.52.114 to 234.131.52.114 | — | 1 |
| 116 | 234.131.52.115/32 | 234.131.52.115 to 234.131.52.115 | — | 1 |
| 117 | 234.131.52.116/32 | 234.131.52.116 to 234.131.52.116 | — | 1 |
| 118 | 234.131.52.117/32 | 234.131.52.117 to 234.131.52.117 | — | 1 |
| 119 | 234.131.52.118/32 | 234.131.52.118 to 234.131.52.118 | — | 1 |
| 120 | 234.131.52.119/32 | 234.131.52.119 to 234.131.52.119 | — | 1 |
| 121 | 234.131.52.120/32 | 234.131.52.120 to 234.131.52.120 | — | 1 |
| 122 | 234.131.52.121/32 | 234.131.52.121 to 234.131.52.121 | — | 1 |
| 123 | 234.131.52.122/32 | 234.131.52.122 to 234.131.52.122 | — | 1 |
| 124 | 234.131.52.123/32 | 234.131.52.123 to 234.131.52.123 | — | 1 |
| 125 | 234.131.52.124/32 | 234.131.52.124 to 234.131.52.124 | — | 1 |
| 126 | 234.131.52.125/32 | 234.131.52.125 to 234.131.52.125 | — | 1 |
| 127 | 234.131.52.126/32 | 234.131.52.126 to 234.131.52.126 | — | 1 |
| 128 | 234.131.52.127/32 | 234.131.52.127 to 234.131.52.127 | — | 1 |
| 129 | 234.131.52.128/32 | 234.131.52.128 to 234.131.52.128 | — | 1 |
| 130 | 234.131.52.129/32 | 234.131.52.129 to 234.131.52.129 | — | 1 |
| 131 | 234.131.52.130/32 | 234.131.52.130 to 234.131.52.130 | — | 1 |
| 132 | 234.131.52.131/32 | 234.131.52.131 to 234.131.52.131 | — | 1 |
| 133 | 234.131.52.132/32 | 234.131.52.132 to 234.131.52.132 | — | 1 |
| 134 | 234.131.52.133/32 | 234.131.52.133 to 234.131.52.133 | — | 1 |
| 135 | 234.131.52.134/32 | 234.131.52.134 to 234.131.52.134 | — | 1 |
| 136 | 234.131.52.135/32 | 234.131.52.135 to 234.131.52.135 | — | 1 |
| 137 | 234.131.52.136/32 | 234.131.52.136 to 234.131.52.136 | — | 1 |
| 138 | 234.131.52.137/32 | 234.131.52.137 to 234.131.52.137 | — | 1 |
| 139 | 234.131.52.138/32 | 234.131.52.138 to 234.131.52.138 | — | 1 |
| 140 | 234.131.52.139/32 | 234.131.52.139 to 234.131.52.139 | — | 1 |
| 141 | 234.131.52.140/32 | 234.131.52.140 to 234.131.52.140 | — | 1 |
| 142 | 234.131.52.141/32 | 234.131.52.141 to 234.131.52.141 | — | 1 |
| 143 | 234.131.52.142/32 | 234.131.52.142 to 234.131.52.142 | — | 1 |
| 144 | 234.131.52.143/32 | 234.131.52.143 to 234.131.52.143 | — | 1 |
| 145 | 234.131.52.144/32 | 234.131.52.144 to 234.131.52.144 | — | 1 |
| 146 | 234.131.52.145/32 | 234.131.52.145 to 234.131.52.145 | — | 1 |
| 147 | 234.131.52.146/32 | 234.131.52.146 to 234.131.52.146 | — | 1 |
| 148 | 234.131.52.147/32 | 234.131.52.147 to 234.131.52.147 | — | 1 |
| 149 | 234.131.52.148/32 | 234.131.52.148 to 234.131.52.148 | — | 1 |
| 150 | 234.131.52.149/32 | 234.131.52.149 to 234.131.52.149 | — | 1 |
| 151 | 234.131.52.150/32 | 234.131.52.150 to 234.131.52.150 | — | 1 |
| 152 | 234.131.52.151/32 | 234.131.52.151 to 234.131.52.151 | — | 1 |
| 153 | 234.131.52.152/32 | 234.131.52.152 to 234.131.52.152 | — | 1 |
| 154 | 234.131.52.153/32 | 234.131.52.153 to 234.131.52.153 | — | 1 |
| 155 | 234.131.52.154/32 | 234.131.52.154 to 234.131.52.154 | — | 1 |
| 156 | 234.131.52.155/32 | 234.131.52.155 to 234.131.52.155 | — | 1 |
| 157 | 234.131.52.156/32 | 234.131.52.156 to 234.131.52.156 | — | 1 |
| 158 | 234.131.52.157/32 | 234.131.52.157 to 234.131.52.157 | — | 1 |
| 159 | 234.131.52.158/32 | 234.131.52.158 to 234.131.52.158 | — | 1 |
| 160 | 234.131.52.159/32 | 234.131.52.159 to 234.131.52.159 | — | 1 |
| 161 | 234.131.52.160/32 | 234.131.52.160 to 234.131.52.160 | — | 1 |
| 162 | 234.131.52.161/32 | 234.131.52.161 to 234.131.52.161 | — | 1 |
| 163 | 234.131.52.162/32 | 234.131.52.162 to 234.131.52.162 | — | 1 |
| 164 | 234.131.52.163/32 | 234.131.52.163 to 234.131.52.163 | — | 1 |
| 165 | 234.131.52.164/32 | 234.131.52.164 to 234.131.52.164 | — | 1 |
| 166 | 234.131.52.165/32 | 234.131.52.165 to 234.131.52.165 | — | 1 |
| 167 | 234.131.52.166/32 | 234.131.52.166 to 234.131.52.166 | — | 1 |
| 168 | 234.131.52.167/32 | 234.131.52.167 to 234.131.52.167 | — | 1 |
| 169 | 234.131.52.168/32 | 234.131.52.168 to 234.131.52.168 | — | 1 |
| 170 | 234.131.52.169/32 | 234.131.52.169 to 234.131.52.169 | — | 1 |
| 171 | 234.131.52.170/32 | 234.131.52.170 to 234.131.52.170 | — | 1 |
| 172 | 234.131.52.171/32 | 234.131.52.171 to 234.131.52.171 | — | 1 |
| 173 | 234.131.52.172/32 | 234.131.52.172 to 234.131.52.172 | — | 1 |
| 174 | 234.131.52.173/32 | 234.131.52.173 to 234.131.52.173 | — | 1 |
| 175 | 234.131.52.174/32 | 234.131.52.174 to 234.131.52.174 | — | 1 |
| 176 | 234.131.52.175/32 | 234.131.52.175 to 234.131.52.175 | — | 1 |
| 177 | 234.131.52.176/32 | 234.131.52.176 to 234.131.52.176 | — | 1 |
| 178 | 234.131.52.177/32 | 234.131.52.177 to 234.131.52.177 | — | 1 |
| 179 | 234.131.52.178/32 | 234.131.52.178 to 234.131.52.178 | — | 1 |
| 180 | 234.131.52.179/32 | 234.131.52.179 to 234.131.52.179 | — | 1 |
| 181 | 234.131.52.180/32 | 234.131.52.180 to 234.131.52.180 | — | 1 |
| 182 | 234.131.52.181/32 | 234.131.52.181 to 234.131.52.181 | — | 1 |
| 183 | 234.131.52.182/32 | 234.131.52.182 to 234.131.52.182 | — | 1 |
| 184 | 234.131.52.183/32 | 234.131.52.183 to 234.131.52.183 | — | 1 |
| 185 | 234.131.52.184/32 | 234.131.52.184 to 234.131.52.184 | — | 1 |
| 186 | 234.131.52.185/32 | 234.131.52.185 to 234.131.52.185 | — | 1 |
| 187 | 234.131.52.186/32 | 234.131.52.186 to 234.131.52.186 | — | 1 |
| 188 | 234.131.52.187/32 | 234.131.52.187 to 234.131.52.187 | — | 1 |
| 189 | 234.131.52.188/32 | 234.131.52.188 to 234.131.52.188 | — | 1 |
| 190 | 234.131.52.189/32 | 234.131.52.189 to 234.131.52.189 | — | 1 |
| 191 | 234.131.52.190/32 | 234.131.52.190 to 234.131.52.190 | — | 1 |
| 192 | 234.131.52.191/32 | 234.131.52.191 to 234.131.52.191 | — | 1 |
| 193 | 234.131.52.192/32 | 234.131.52.192 to 234.131.52.192 | — | 1 |
| 194 | 234.131.52.193/32 | 234.131.52.193 to 234.131.52.193 | — | 1 |
| 195 | 234.131.52.194/32 | 234.131.52.194 to 234.131.52.194 | — | 1 |
| 196 | 234.131.52.195/32 | 234.131.52.195 to 234.131.52.195 | — | 1 |
| 197 | 234.131.52.196/32 | 234.131.52.196 to 234.131.52.196 | — | 1 |
| 198 | 234.131.52.197/32 | 234.131.52.197 to 234.131.52.197 | — | 1 |
| 199 | 234.131.52.198/32 | 234.131.52.198 to 234.131.52.198 | — | 1 |
| 200 | 234.131.52.199/32 | 234.131.52.199 to 234.131.52.199 | — | 1 |
| 201 | 234.131.52.200/32 | 234.131.52.200 to 234.131.52.200 | — | 1 |
| 202 | 234.131.52.201/32 | 234.131.52.201 to 234.131.52.201 | — | 1 |
| 203 | 234.131.52.202/32 | 234.131.52.202 to 234.131.52.202 | — | 1 |
| 204 | 234.131.52.203/32 | 234.131.52.203 to 234.131.52.203 | — | 1 |
| 205 | 234.131.52.204/32 | 234.131.52.204 to 234.131.52.204 | — | 1 |
| 206 | 234.131.52.205/32 | 234.131.52.205 to 234.131.52.205 | — | 1 |
| 207 | 234.131.52.206/32 | 234.131.52.206 to 234.131.52.206 | — | 1 |
| 208 | 234.131.52.207/32 | 234.131.52.207 to 234.131.52.207 | — | 1 |
| 209 | 234.131.52.208/32 | 234.131.52.208 to 234.131.52.208 | — | 1 |
| 210 | 234.131.52.209/32 | 234.131.52.209 to 234.131.52.209 | — | 1 |
| 211 | 234.131.52.210/32 | 234.131.52.210 to 234.131.52.210 | — | 1 |
| 212 | 234.131.52.211/32 | 234.131.52.211 to 234.131.52.211 | — | 1 |
| 213 | 234.131.52.212/32 | 234.131.52.212 to 234.131.52.212 | — | 1 |
| 214 | 234.131.52.213/32 | 234.131.52.213 to 234.131.52.213 | — | 1 |
| 215 | 234.131.52.214/32 | 234.131.52.214 to 234.131.52.214 | — | 1 |
| 216 | 234.131.52.215/32 | 234.131.52.215 to 234.131.52.215 | — | 1 |
| 217 | 234.131.52.216/32 | 234.131.52.216 to 234.131.52.216 | — | 1 |
| 218 | 234.131.52.217/32 | 234.131.52.217 to 234.131.52.217 | — | 1 |
| 219 | 234.131.52.218/32 | 234.131.52.218 to 234.131.52.218 | — | 1 |
| 220 | 234.131.52.219/32 | 234.131.52.219 to 234.131.52.219 | — | 1 |
| 221 | 234.131.52.220/32 | 234.131.52.220 to 234.131.52.220 | — | 1 |
| 222 | 234.131.52.221/32 | 234.131.52.221 to 234.131.52.221 | — | 1 |
| 223 | 234.131.52.222/32 | 234.131.52.222 to 234.131.52.222 | — | 1 |
| 224 | 234.131.52.223/32 | 234.131.52.223 to 234.131.52.223 | — | 1 |
| 225 | 234.131.52.224/32 | 234.131.52.224 to 234.131.52.224 | — | 1 |
| 226 | 234.131.52.225/32 | 234.131.52.225 to 234.131.52.225 | — | 1 |
| 227 | 234.131.52.226/32 | 234.131.52.226 to 234.131.52.226 | — | 1 |
| 228 | 234.131.52.227/32 | 234.131.52.227 to 234.131.52.227 | — | 1 |
| 229 | 234.131.52.228/32 | 234.131.52.228 to 234.131.52.228 | — | 1 |
| 230 | 234.131.52.229/32 | 234.131.52.229 to 234.131.52.229 | — | 1 |
| 231 | 234.131.52.230/32 | 234.131.52.230 to 234.131.52.230 | — | 1 |
| 232 | 234.131.52.231/32 | 234.131.52.231 to 234.131.52.231 | — | 1 |
| 233 | 234.131.52.232/32 | 234.131.52.232 to 234.131.52.232 | — | 1 |
| 234 | 234.131.52.233/32 | 234.131.52.233 to 234.131.52.233 | — | 1 |
| 235 | 234.131.52.234/32 | 234.131.52.234 to 234.131.52.234 | — | 1 |
| 236 | 234.131.52.235/32 | 234.131.52.235 to 234.131.52.235 | — | 1 |
| 237 | 234.131.52.236/32 | 234.131.52.236 to 234.131.52.236 | — | 1 |
| 238 | 234.131.52.237/32 | 234.131.52.237 to 234.131.52.237 | — | 1 |
| 239 | 234.131.52.238/32 | 234.131.52.238 to 234.131.52.238 | — | 1 |
| 240 | 234.131.52.239/32 | 234.131.52.239 to 234.131.52.239 | — | 1 |
| 241 | 234.131.52.240/32 | 234.131.52.240 to 234.131.52.240 | — | 1 |
| 242 | 234.131.52.241/32 | 234.131.52.241 to 234.131.52.241 | — | 1 |
| 243 | 234.131.52.242/32 | 234.131.52.242 to 234.131.52.242 | — | 1 |
| 244 | 234.131.52.243/32 | 234.131.52.243 to 234.131.52.243 | — | 1 |
| 245 | 234.131.52.244/32 | 234.131.52.244 to 234.131.52.244 | — | 1 |
| 246 | 234.131.52.245/32 | 234.131.52.245 to 234.131.52.245 | — | 1 |
| 247 | 234.131.52.246/32 | 234.131.52.246 to 234.131.52.246 | — | 1 |
| 248 | 234.131.52.247/32 | 234.131.52.247 to 234.131.52.247 | — | 1 |
| 249 | 234.131.52.248/32 | 234.131.52.248 to 234.131.52.248 | — | 1 |
| 250 | 234.131.52.249/32 | 234.131.52.249 to 234.131.52.249 | — | 1 |
| 251 | 234.131.52.250/32 | 234.131.52.250 to 234.131.52.250 | — | 1 |
| 252 | 234.131.52.251/32 | 234.131.52.251 to 234.131.52.251 | — | 1 |
| 253 | 234.131.52.252/32 | 234.131.52.252 to 234.131.52.252 | — | 1 |
| 254 | 234.131.52.253/32 | 234.131.52.253 to 234.131.52.253 | — | 1 |
| 255 | 234.131.52.254/32 | 234.131.52.254 to 234.131.52.254 | — | 1 |
| 256 | 234.131.52.255/32 | 234.131.52.255 to 234.131.52.255 | — | 1 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |